Package org.eclipse.net4j.util.om.monitor

# Class MonitorCanceledException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.util.om.monitor.MonitorCanceledException

All Implemented Interfaces:
  `Serializable`

public class MonitorCanceledException extends RuntimeException

Since:
  2.0
Author:
  Eike Stepper
See Also:
  - Serialized Form
No Extend
  This interface is not intended to be extended by clients.

## Constructor Summary

Constructors
Constructor
Description
`MonitorCanceledException()`
`MonitorCanceledException(String message)`
`MonitorCanceledException(String message, Throwable cause)`
`MonitorCanceledException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MonitorCanceledException

public MonitorCanceledException()

### MonitorCanceledException

public MonitorCanceledException(String message)

### MonitorCanceledException

public MonitorCanceledException(Throwable cause)

### MonitorCanceledException

public MonitorCanceledException(String message, Throwable cause)